## placement 0.1.1

=== DESCRIPTION ===
Package: placement
Type: Package
Title: Tools for Accessing the Google Maps API
Version: 0.1.1
Author: Derek Darves
Maintainer: Derek Darves <darves@gmail.com>
Description: The main functions in this package are drive_time
	(used for calculating distances between physical addresses or coordinates) and
	geocode_url (used for estimating the lat/long coordinates
	of a physical address). Optionally, it generates the cryptographic signatures necessary
	for making API calls with a Google for Work/Premium account within the geocoding process.
	These accounts have larger quota limits than the "standard_api" and, thus, this package
	may be useful for individuals seeking to submit large batch jobs within R to the Google Maps API.
	Placement also provides methods for accessing the standard API using a (free) Google API key
	(see: <https://developers.google.com/maps/documentation/javascript/get-api-key#get-an-api-key>).
License: MIT + file LICENSE
LazyData: TRUE
Imports: RCurl, jsonlite, base64enc, digest, urltools, stringi
URL: https://github.com/derekyves/placement
BugReports: https://github.com/derekyves/placement/issues
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-07-27 21:59:44 UTC; ddarves
Repository: CRAN
Date/Publication: 2016-07-28 00:07:05

## placement 1.0.0

=== debian/changelog ===
placement (1.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:38:00 +0100

placement (1.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 1.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 13:52:04 +0000

placement (0.1.0-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/placement-common.postinst: Change /etc/placement to 0750 root:placement.

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release for Openstack Stein.
  * d/watch: Update watch for new tarball versions.

  [ James Page ]
  * d/control: Add python3-os-resource-classes to BD's.
  * d/placement-common.manpages: Pick actual manpage to avoid section
    determination errors on transient directories.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Mar 2019 14:57:27 +0000

placement (0.0.1~git2018112616.3ccbacfc-0ubuntu2) disco; urgency=medium

  * d/placement-common.install: Install database migration scripts that deal
    with migration of nova-api placement data to new placement database after
    split of placement from nova code base (LP: #1809307).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Jan 2019 10:53:12 -0500

placement (0.0.1~git2018112616.3ccbacfc-0ubuntu1) disco; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 10:15:24 -0500

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 37ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 16.0),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 16.0),
 python3-sphinx (>= 1.6.2),
 python3-sphinx-feature-classification (>= 0.2.0),
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.seqdiag,
Build-Depends-Indep:
 crudini,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.19.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 0.2.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.35.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.2.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.4.0),
 python3-osprofiler (>= 1.4.0),
 python3-pkg-resources (>= 21.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-wsgi-intercept (>= 1.7.0),
Standards-Version: 4.2.1
Homepage: https://github.com/openstack/placement
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/placement
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/placement

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: OpenStack Placement - documentation
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement documentation.

Package: placement-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Placement - API
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement API frontend for managing resource
 providers.

Package: python3-placement
Architecture: all
Section: python
Depends:
 placement-common (= ${source:Version}),
 python3-jsonschema (>= 2.6.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.35.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.2.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources (>= 21.0.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Placement - Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains the Python 3 placement libraries.

Package: placement-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Placement - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

SHELL := /bin/sh -e

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python3,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-placement/usr/etc
	# Fix any api sample template files with broken permissions
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/placement/policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/placement/config-generator.conf
	cp etc/placement/placement.conf.sample etc/placement/placement.conf
	cp etc/placement/policy.yaml.sample etc/placement/policy.yaml
	crudini --set $(CURDIR)/etc/placement/placement.conf placement_database connection sqlite:////var/lib/placement/placement.sqlite
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/placement/ openstack-placement-(1.\d.*)\.tar\.gz

## placement 1.1.0

=== debian/changelog ===
placement (1.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Stein (LP: #1904563).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 18 Nov 2020 14:50:38 +0000

=== debian/control ===
--- 
+++ 
@@ -65,8 +65,8 @@
  python3-wsgi-intercept (>= 1.7.0),
 Standards-Version: 4.2.1
 Homepage: https://github.com/openstack/placement
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/placement
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/placement
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
 
 Package: placement-doc
 Architecture: all

## placement 2.0.0

=== debian/changelog ===
placement (2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/changelog: Remove trailing whitespaces.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 22:29:22 +0200

placement (2.0.0-1) experimental; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 16 Oct 2019 16:09:57 +0200

placement (2.0.0~rc1-2) experimental; urgency=medium

  * Fix keystone_authtoken missing options.
  * d/copyright: Add me to copyright file.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 03 Oct 2019 10:53:43 +0200

placement (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 16:14:28 +0200

placement (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michal Arbet ]
  * Add mysql-migrate-db.sh script to placement-common
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 23 Sep 2019 20:52:56 +0200

placement (1.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 19:47:51 +0200

placement (1.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 14:28:34 +0200

placement (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 10:53:19 +0200

placement (1.0.0~rc2-1) experimental; urgency=medium

  * Initial release (Closes: #925616).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 17:08:43 +0100

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-alembic,
 python3-coverage,
 python3-fixtures,
 python3-gabbi,
 python3-hacking,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-mock,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-resource-classes (>= 0.5.0),
 python3-os-traits (>= 0.16.0),
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest <!nodoc>,
 python3-osprofiler <!nodoc>,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-six,
 python3-sphinx-feature-classification <!nodoc>,
 python3-sphinxcontrib.actdiag <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-testtools,
 python3-webob,
 python3-wsgi-intercept,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/placement
Vcs-Git: https://salsa.debian.org/openstack-team/services/placement.git
Homepage: https://github.com/openstack/placement

Package: placement-api
Architecture: all
Depends:
 adduser,
 debconf,
 placement-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-osc-placement,
Description: OpenStack resource inventory Placement - API server
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Placement API server.

Package: placement-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack resource inventory Placement - common files
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains common files for OpenStack Placement.

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack resource inventory Placement - Documentation
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the documentation.

Package: python3-placement
Architecture: all
Section: python
Depends:
 alembic,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-os-resource-classes (>= 0.5.0),
 python3-os-traits (>= 0.16.0),
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.37.0),
 python3-pbr,
 python3-requests,
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack resource inventory Placement - Python library
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

PLACEMENT_CONF=$(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/placement-common.config debian/placement-common.postinst debian/placement-common.postrm debian/placement-api.config debian/placement-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm placement-common.postrm
	pkgos-merge-templates placement-api placement endpoint
	pkgos-merge-templates placement-common placement db ksat

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'placement\.tests\.unit\..*'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/placement-common/usr/share/placement-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(PLACEMENT_CONF) \
		--namespace placement.conf \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log

	mkdir -p $(CURDIR)/debian/placement-common/etc/placement
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
                --output-file=$(CURDIR)/debian/placement-common/etc/placement/policy.json \
                --format json \
		--namespace placement

	# Fix config default value
	# Add missing options to keystone_authtoken
	pkgos-readd-keystone-authtoken-missing-options $(PLACEMENT_CONF) keystone_authtoken placement
	pkgos-fix-config-default $(PLACEMENT_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages

	# Add mysql-migrate-db.sh script to package if present
	if [ -e $(CURDIR)/tools/mysql-migrate-db.sh ]; then \
		cp $(CURDIR)/tools/mysql-migrate-db.sh \
		$(CURDIR)/debian/placement-common/usr/share/placement-common/mysql-migrate-db.sh ; \
	fi

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/placement-doc/usr/share/doc/placement-doc/html
	dh_sphinxdoc
endif

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/ \
https://github.com/openstack/placement/tags .*/(\d[\d\.]+)\.tar\.gz

## placement 2.0.1

=== debian/changelog ===
placement (2.0.1-0ubuntu1~cloud1) bionic-train; urgency=medium

  [ Corey Bryant ]
  * d/placement-common.postinst: Fix chown typo (LP: #1848484).
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Train (LP: #1923038).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:13:03 +0000

placement (2.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-skip-locks-flag-to-mysql-migrate-db.patch: Dropped.
    Fixed in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 11:25:05 -0400

placement (2.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/p/add-skip-locks-flag-to-mysql-migrate-db.patch: Cherry-picked
    from https://review.opendev.org/#/c/687056/ to enable database
    migration with PXC strict mode set to ENFORCING.
  * d/control, d/py3dist-overrides: Use the latest python3-sqlalchemy
    BD available in Ubuntu, however, also add SQLAlchemy to python3-dist
    overrides since the run-time Depend for python3-sqlalchemy is being
    overridden.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Oct 2019 10:48:54 -0400

placement (2.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 2.x series.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 17:08:48 +0100

placement (2.0.0~b2~git2019073117.541052ad-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 17:18:08 +0200

placement (2.0.0~b1~git2019062015.664cdf5a-0ubuntu1) eoan; urgency=medium

  * New upstream release 2.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:51:25 +0100

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 37ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 16.0),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 16.0),
 python3-sphinx (>= 1.6.3),
 python3-sphinx-feature-classification (>= 0.2.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 crudini,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.30.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 0.5.0),
 python3-os-traits (>= 0.16.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.35.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.2.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.4.0),
 python3-osprofiler (>= 1.4.0),
 python3-pkg-resources (>= 21.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.18),
 python3-stestr (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-wsgi-intercept (>= 1.7.0),
Standards-Version: 4.2.1
Homepage: https://github.com/openstack/placement
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: OpenStack Placement - documentation
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement documentation.

Package: placement-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Placement - API
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement API frontend for managing resource
 providers.

Package: python3-placement
Architecture: all
Section: python
Depends:
 placement-common (= ${source:Version}),
 python3-jsonschema (>= 2.6.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-os-resource-classes (>= 0.5.0),
 python3-os-traits (>= 0.16.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.35.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.2.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources (>= 21.0.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.18),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Placement - Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains the Python 3 placement libraries.

Package: placement-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Placement - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains common files.

## placement 3.0.0~b3~git2020041014.0f90d197

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.3 # BSD
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.30.0 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

# needed to generate osprofiler config options
osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
placement (3.0.0~b3~git2020041014.0f90d197-0ubuntu1) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New upstream snapshot for OpenStack Ussuri.
  * d/placement-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:10:24 -0400

placement (3.0.0~b3~git2020032615.971c7aa7-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/placement.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 12:31:21 +0000

placement (3.0.0~b2~git2020021314.971c7aa7-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 14:16:57 -0500

placement (3.0.0~b1~git2019121614.3eab6acb-0ubuntu2) focal; urgency=medium

  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jan 2020 14:29:08 -0500

placement (3.0.0~b1~git2019121614.3eab6acb-0ubuntu1) focal; urgency=medium

  * d/placement-common.postinst: Fix chown typo (LP: #1848484).
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat, d/placement-common.manpages: Switch to
    debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 14:32:32 -0500

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,11 @@
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
  apache2-dev,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-apache2,
  dh-python,
  lsb-release,
  openstack-pkg-tools (>= 37ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools (>= 16.0),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools (>= 16.0),
@@ -36,7 +33,7 @@
  python3-openstackdocstheme (>= 1.30.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-resource-classes (>= 0.5.0),
- python3-os-traits (>= 0.16.0),
+ python3-os-traits (>= 2.2.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.7.0),
  python3-oslo.context (>= 1:2.19.2),
@@ -52,21 +49,21 @@
  python3-oslotest (>= 1:3.4.0),
  python3-osprofiler (>= 1.4.0),
  python3-pkg-resources (>= 21.0.0),
- python3-psycopg2 (>= 2.6.2),
+ python3-psycopg2 (>= 2.7),
  python3-pymysql (>= 0.7.6),
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.2.18),
+ python3-sqlalchemy (>= 1.2.19),
  python3-stestr (>= 1.0.0),
  python3-testtools (>= 2.2.0),
  python3-webob (>= 1:1.8.2),
  python3-wsgi-intercept (>= 1.7.0),
 Standards-Version: 4.2.1
 Homepage: https://github.com/openstack/placement
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/placement
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/placement
 
 Package: placement-doc
 Architecture: all
@@ -116,7 +113,7 @@
  python3-keystonemiddleware (>= 4.18.0),
  python3-microversion-parse (>= 0.2.1),
  python3-os-resource-classes (>= 0.5.0),
- python3-os-traits (>= 0.16.0),
+ python3-os-traits (>= 2.2.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.7.0),
  python3-oslo.context (>= 1:2.19.2),
@@ -134,7 +131,7 @@
  python3-requests (>= 2.14.2),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.2.18),
+ python3-sqlalchemy (>= 1.2.19),
  python3-webob (>= 1:1.8.2),
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/placement/ openstack-placement-(2.\d.*)\.tar\.gz

## placement 3.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.8.2 # MIT
jsonschema>=2.6.0 # MIT
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.7.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
oslo.db>=4.40.0 # Apache-2.0
oslo.policy>=1.35.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.upgradecheck>=0.2.0 # Apache-2.0
# NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
os-resource-classes>=0.5.0 # Apache-2.0
os-traits>=2.2.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
placement (3.0.1-0ubuntu1) focal; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Ussuri (LP: #1943712).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 17 Sep 2021 10:05:08 +0000

placement (3.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Track 3.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:46:36 -0400

=== debian/control ===
--- 
+++ 
@@ -62,8 +62,8 @@
  python3-wsgi-intercept (>= 1.7.0),
 Standards-Version: 4.2.1
 Homepage: https://github.com/openstack/placement
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/placement
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/placement
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
 
 Package: placement-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=placement

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-placement/usr/etc
	# Fix any api sample template files with broken permissions
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/placement/policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/placement/config-generator.conf
	cp etc/placement/placement.conf.sample etc/placement/placement.conf
	cp etc/placement/policy.yaml.sample etc/placement/policy.yaml
	crudini --set $(CURDIR)/etc/placement/placement.conf placement_database connection sqlite:////var/lib/placement/placement.sqlite
	dh_install
	dh_missing --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: placement-daemons
Depends: placement-api, curl
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/placement/ openstack-placement-(3.\d.*)\.tar\.gz

## placement 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,9 +7,8 @@
 keystonemiddleware>=4.18.0 # Apache-2.0
 Routes>=2.3.1 # MIT
 WebOb>=1.8.2 # MIT
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
 requests>=2.14.2 # Apache-2.0
-six>=1.10.0 # MIT
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=6.7.0 # Apache-2.0
@@ -23,5 +22,5 @@
 oslo.upgradecheck>=0.2.0 # Apache-2.0
 # NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
 os-resource-classes>=0.5.0 # Apache-2.0
-os-traits>=2.2.0 # Apache-2.0
+os-traits>=2.4.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
placement (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Removed obsolete --with systemd from debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 20:41:20 +0200

placement (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Use a yaml policy file in /etc/placement/policy.d/00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2020 11:15:17 +0200

placement (3.0.0-2) unstable; urgency=medium

  * Fix placement.conf namespace list when generating it.
  * Call "pkgos_write_new_conf placement placement.conf" in postinst to install
    the config file by default.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jul 2020 16:21:05 +0200

placement (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:34:39 +0200

placement (3.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 02:19:54 +0200

placement (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 22:41:49 +0200

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-alembic,
 python3-coverage,
 python3-fixtures,
 python3-gabbi,
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-resource-classes (>= 0.5.0),
 python3-os-traits (>= 2.4.0),
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest <!nodoc>,
 python3-osprofiler <!nodoc>,
 python3-psycopg2 (>= 2.8),
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-sphinx-feature-classification <!nodoc>,
 python3-sphinxcontrib.actdiag <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-testtools,
 python3-webob,
 python3-wsgi-intercept,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/placement
Vcs-Git: https://salsa.debian.org/openstack-team/services/placement.git
Homepage: https://github.com/openstack/placement

Package: placement-api
Architecture: all
Depends:
 adduser,
 debconf,
 placement-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-osc-placement,
Description: OpenStack resource inventory Placement - API server
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Placement API server.

Package: placement-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack resource inventory Placement - common files
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains common files for OpenStack Placement.

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack resource inventory Placement - Documentation
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the documentation.

Package: python3-placement
Architecture: all
Section: python
Depends:
 alembic,
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-os-resource-classes (>= 0.5.0),
 python3-os-traits (>= 2.4.0),
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.37.0),
 python3-pbr,
 python3-requests,
 python3-routes,
 python3-sqlalchemy,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack resource inventory Placement - Python library
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

PLACEMENT_CONF=$(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/placement-common.config debian/placement-common.postinst debian/placement-common.postrm debian/placement-api.config debian/placement-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm placement-common.postrm
	pkgos-merge-templates placement-api placement endpoint
	pkgos-merge-templates placement-common placement db ksat

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'placement\.tests\.unit\..*'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/placement-common/usr/share/placement-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(PLACEMENT_CONF) \
		--namespace placement.conf \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace osprofiler

	mkdir -p $(CURDIR)/debian/placement-common/etc/placement/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
                --output-file=$(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml \
                --format yaml \
		--namespace placement

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf oslo_policy policy_dirs /etc/placement/policy.d

	# Fix config default value
	# Add missing options to keystone_authtoken
	pkgos-readd-keystone-authtoken-missing-options $(PLACEMENT_CONF) keystone_authtoken placement
	pkgos-fix-config-default $(PLACEMENT_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages

	# Add mysql-migrate-db.sh script to package if present
	if [ -e $(CURDIR)/tools/mysql-migrate-db.sh ]; then \
		cp $(CURDIR)/tools/mysql-migrate-db.sh \
		$(CURDIR)/debian/placement-common/usr/share/placement-common/mysql-migrate-db.sh ; \
	fi

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/placement-doc/usr/share/doc/placement-doc/html
	dh_sphinxdoc
endif

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
